import UIKit
import Flutter

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate , UNUserNotificationCenterDelegate{
     override func application(
          _ application: UIApplication,
          didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?
          ) -> Bool {
          GeneratedPluginRegistrant.register(with: self)
          
          UIApplication.shared.registerForRemoteNotifications()
          
          if #available(iOS 10.0, *) {
               let center = UNUserNotificationCenter.current()
               center.delegate = self  //DID NOT WORK WHEN self WAS MyOtherDelegateClass()
               
               center.requestAuthorization(options: [.alert, .sound, .badge]) {
                    (granted, error) in
                    // Enable or disable features based on authorization.
                    if granted {
                         // update application settings
                    }
               }
          } else {
               // Fallback on earlier versions
          }
          
          
          
          
          
          return super.application(application, didFinishLaunchingWithOptions: launchOptions)
     }
     
     @available(iOS 10.0, *)
     func userNotificationCenter(_ center: UNUserNotificationCenter, didReceive response: UNNotificationResponse, withCompletionHandler completionHandler: @escaping () -> Void) {
          completionHandler()
     }
     
     @available(iOS 10.0, *)
     func userNotificationCenter(_ center: UNUserNotificationCenter, willPresent notification: UNNotification, withCompletionHandler completionHandler: @escaping (UNNotificationPresentationOptions) -> Void) {
          completionHandler([.alert, .sound, .badge]) //required to show notification when in foreground
     }
     
}



