import Flutter
import UIKit

public class SwiftEcpLocalNotificationPlugin: NSObject, FlutterPlugin {
     
     var dict : Dictionary = Dictionary<String,String>()
     
     public static func register(with registrar: FlutterPluginRegistrar) {
          let channel = FlutterMethodChannel(name: "ecp_local_notification_plugin", binaryMessenger: registrar.messenger())
          let instance = SwiftEcpLocalNotificationPlugin()
          registrar.addMethodCallDelegate(instance, channel: channel)
     }
     
     public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
          
          if let arguments = call.arguments {
               // argumentsde = arguments as! [AnyHashable : Any]
               dict = arguments as! Dictionary<String,String>
          }
          
          if(call.method == "sendLocalNotification"){
               
               let title : String = dict["title"] ?? ""
               let body : String = dict["body"] ?? ""
               
               
               if #available(iOS 10.0, *) {
                    //get the notification center
                    let center =  UNUserNotificationCenter.current()
                    
                    //create the content for the notification
                    let content = UNMutableNotificationContent()
                    content.title = title
                    content.subtitle = ""
                    content.body = body
                    content.sound = UNNotificationSound.default()
                    
                    //notification trigger can be based on time, calendar or location
                    let trigger = UNTimeIntervalNotificationTrigger(timeInterval:2.0, repeats: false)
                    
                    //create request to display
                    let request = UNNotificationRequest(identifier: "ContentIdentifier", content: content, trigger: trigger)
                    
                    //add request to notification center
                    center.add(request) { (error) in
                         if error != nil {
                              print("error \(String(describing: error))")
                         }
                    }
               } else {
                    // Fallback on earlier versions
               }
               
               
               
               result("Done")
          }else{
               result("iOS " + UIDevice.current.systemVersion)
          }
     }
}
