import 'dart:async';

import 'package:flutter/services.dart';

class EcpLocalNotificationPlugin {
  static const MethodChannel _channel =
      const MethodChannel('ecp_local_notification_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<String> sendLocalNotification(String title, String body) async {
    final String version = await _channel
        .invokeMethod('sendLocalNotification', {'title': title, 'body': body});

    return version;
  }
}
